#include "E--_RT.c"
int main(int argc, char *argv[]) {
	E_RT_init(argc, argv);
JMP(begin);
Label0: R005=ADD(R000,2);
STI(R001, R000);
R000=SUB(R000,1);
MOVI(R000, R001);
MOVI(1, R006);
Label1: MOVI(R001, R000);
R000=ADD(R000,1);
LDI(R000, R001);
R000=ADD(R000,1);
LDI(R000, R004);
R000=ADD(R000,0);
JMPI(R004);
eventLabel_open: INI(R006);
INI(R007);
INI(R008);
STI(R006, R000);
R000=SUB(R000,1);
STI(R007, R000);
R000=SUB(R000,1);
STI(R008, R000);
R000=SUB(R000,1);
R000=SUB(R000,1);
MOVL(Label2, R004);
STI(R004, R000);
R000=SUB(R000,1);
Label2: MOVI(R002, R010);
R000=ADD(R000,1);
LDI(R000, R008);
R000=ADD(R000,1);
LDI(R000, R007);
R000=ADD(R000,1);
LDI(R000, R006);
JMP(EventMStart);
eventLabel_open: INI(R008);
INI(R011);
INI(R012);
STI(R008, R000);
R000=SUB(R000,1);
STI(R011, R000);
R000=SUB(R000,1);
STI(R012, R000);
R000=SUB(R000,1);
MOVL(Label3, R004);
STI(R004, R000);
R000=SUB(R000,1);
JMP(Label0);
Label3: R000=ADD(R000,1);
LDI(R000, R012);
R000=ADD(R000,1);
LDI(R000, R011);
R000=ADD(R000,1);
LDI(R000, R008);
JMP(EventMStart);
begin: MOVI(10000, R000);
EventMStart: IN(R012);
JMPC(GT(64, R012), EventMOut);
JMPC(EQ(111, R012), eventLabel_open);
JMPC(EQ(111, R012), eventLabel_open);
JMP(EventMStart);
EventMOut: PRTS("\nDone\n");

	E_RT_exit(); return 0;
}
